Skip to main content
`Ctrl`+`K`

# ISSortRemoveDups

Sorts the indices of an index set, removing duplicates.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISSortRemoveDups(IS is)

Collective

## Input Parameter

- is - the index set

## See Also

`IS`, `ISSort()`, `ISSorted()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Implementations

ISSortRemoveDups_Block() in src/vec/is/is/impls/block/block.c
ISSortRemoveDups_General() in src/vec/is/is/impls/general/general.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages